<!-- Metricselection -->
<div class="overlay" *ngIf="data && metricService.basisForVisualization != null">
<mat-expansion-panel expanded>
	<mat-expansion-panel-header>
		<mat-panel-title>
			{{ 'InfoBoxMetricText' | translate }}
		</mat-panel-title>
	</mat-expansion-panel-header>
	<mat-grid-list cols="6" rowHeight="30px" gutterSize="3">
		<mat-grid-tile colspan="6">
			<div class="header-inside-grid">{{ 'PrivacyMetricText' | translate }}</div>
		</mat-grid-tile>
		<ng-container *ngFor="let m of metricService.currentPrivacyMetrics">
			<div (click)="onClickMetric(m)" style="cursor:pointer">
				<mat-grid-tile
					colspan="3"
					[ngStyle]="{
						'background-color': metricService.basisForVisualization.id === m.id ? '#f5f5f5' : '#fff',
						'border': hoveredTile === m.id || metricService.basisForVisualization.id === m.id ? 'solid 2px #f5f5f5' : 'solid 2px #fff'
					}"
					(mouseover)="hoveredTile = m.id"
					(mouseleave)="hoveredTile = -1">
					<div class="text-inside-grid">{{m.name}}</div>
				</mat-grid-tile>
				<mat-grid-tile
					colspan="3"
					[ngStyle]="{
						'background-color': metricService.basisForVisualization.id === m.id ? '#f5f5f5' : '#fff',
						'border': metricService.basisForVisualization.id === m.id ? 'solid 2px #f5f5f5' : 'solid 2px #fff',
						'padding-right': '5px'
						}">
					<mat-label #metric class="percentage-bar"
							   [style]="metricService.createMetricColorSpectrum(metricService.getMetricGlobal(m.id, data))">
						<span
							[ngStyle]="{ 'padding-left': metricService.getMetricGlobal(m.id, data) < 26 ? '110%' : '1%',
							 'color': metricService.getMetricGlobal(m.id, data) < 26 ? 'black' : 'white'}">
							{{ metricService.getMetricGlobal(m.id, data) }}%
						</span>
					</mat-label>
				</mat-grid-tile>
				<div *ngIf="metricService.basisForVisualization.id === m.id">
					<mat-grid-tile class="metric-performance"
						text-align="left"
						[ngStyle]="{ 'padding-left': '10px' }"
						colspan="1">
						Precision:
					</mat-grid-tile>
					<mat-grid-tile class="metric-performance"
						text-align="right"
						colspan="1">
						{{metricService.getMetricPerformance(m.id, data, 'precision')}}%
					</mat-grid-tile>
					<mat-grid-tile class="metric-performance"
							text-align="left"
							colspan="1">
						Recall:
					</mat-grid-tile>
					<mat-grid-tile class="metric-performance"
							text-align="right"
							colspan="1">
						{{metricService.getMetricPerformance(m.id, data, 'recall')}}%
					</mat-grid-tile>
					<mat-grid-tile class="metric-performance"
							text-align="left" colspan="1">
						F-Score:
					</mat-grid-tile>
					<mat-grid-tile class="metric-performance"
							text-align="right"
							colspan="1"
							[ngStyle]="{ 'padding-right': '3px' }">
						{{metricService.getMetricPerformance(m.id, data, 'f_score')}}%
					</mat-grid-tile>
				</div>
			</div>
		</ng-container>
	</mat-grid-list>
	<mat-grid-list cols="2" rowHeight="30px" gutterSize="3" style="margin-top: 10px">
		<mat-grid-tile colspan="2">
			<div class="header-inside-grid">{{ 'UtilityMetricText' | translate }}</div>
		</mat-grid-tile >
		<ng-container *ngFor="let m of metricService.currentUtilityMetrics" colspan="2">
			<div (click)="onClickMetric(m)" style="cursor:pointer">
				<mat-grid-tile
						[ngStyle]="{
							'background-color': metricService.basisForVisualization.id === m.id ? '#f5f5f5' : '#fff',
							'border': hoveredTile === m.id || metricService.basisForVisualization.id === m.id ? 'solid 2px #f5f5f5' : 'solid 2px #fff'
						}"
						(mouseover)="hoveredTile = m.id"
						(mouseleave)="hoveredTile = -1">
					<div class="text-inside-grid">{{m.name}}</div>
				</mat-grid-tile>
				<mat-grid-tile
						[ngStyle]="{
							'background-color': metricService.basisForVisualization.id === m.id ? '#f5f5f5' : '#fff',
							'border': metricService.basisForVisualization.id === m.id ? 'solid 2px #f5f5f5' : 'solid 2px #fff',
							'padding-right': '5px'
						}">
					<mat-label #metric class="percentage-bar"
							   [style]="metricService.createMetricColorSpectrum(metricService.getMetricGlobal(m.id, data))">
						<span
								[ngStyle]="{ 'padding-left': metricService.getMetricGlobal(m.id, data) < 26 ? '110%' : '1%',
							 'color': metricService.getMetricGlobal(m.id, data) < 26 ? 'black' : 'white'}">
							{{ metricService.getMetricGlobal(m.id, data) }}%
						</span>
					</mat-label>
				</mat-grid-tile>
			</div>
		</ng-container>
	</mat-grid-list>
</mat-expansion-panel>
</div>
